:root {
  --background: #111;
  --surface: #222;
  --accent: #afeeee;
  --text: #ddd;
  --text-faded: #bbb;
  --text-subtle: #888;
  --outline: #333;
}

* {
  font-family: 'Google Sans Code', monospace;
}

html {
  height: 100%;
}

body {
  background-color: var(--background);
  height: 100%;
  overflow: hidden;
}

.center-container {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

h1 {
  font-size: 4rem;
  font-weight: normal;
  color: var(--text);
  margin-bottom: 0;
}

h1 > .emphasis {
  color: var(--accent);
}

p {
  color: var(--text-subtle);
  text-align: center;
}

input[name="url"] {
  color: var(--text);
  background-color: var(--surface);
  border: 0.125rem solid var(--outline);
  outline: none;
  padding: 0.5rem 1rem;
  width: calc(100vw - 6rem);
  max-width: 24rem;
}

input[name="url"]::placeholder {
  color: var(--text-subtle);
}

input[name="url"]:focus {
  border: 0.125rem solid var(--accent);
}

input[name="url"]:focus::placeholder {
  opacity: 0;
}

.shortener-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5rem;
  margin-top: 1rem;
  width: 100%;
}

button,
a.button{
  color: var(--text-faded);
  background-color: var(--surface);
  border: 0.125rem solid var(--outline);
  outline: none;
}

button[type="submit"] {
  aspect-ratio: 1/1;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

button:focus,
a.button:focus{
  border: 0.125rem solid var(--accent);
}

button[type="submit"] > svg {
  color: var(--text);
  width: 60%;
}

button[type="submit"]:focus > svg {
  color: var(--accent);
}

.card {
  background-color: var(--surface);
  border: 0.125rem solid var(--outline);
  outline: none;
  padding: 1rem;
}

.flex-row {
  display: flex;
  gap: 0.5rem;
  justify-content: center;
  align-items: center;
}

.site-title {
  color: var(--text);
}

.site-domain {
  display: inline-block;
  color: var(--text-faded);
  font-size: 0.6rem;
  padding-left: calc(0.5rem + 16px);
}

.credit {
  font-size: 0.75rem;
}

p > a {
  color: var(--text-subtle);
  text-decoration: underline;
  outline: none;
}

p > a:hover,
p > a:focus {
  color: var(--text-faded);
}

button#copy {
  padding: 0.5rem 1rem;
  margin: 1rem auto 0 auto;
  display: block;
}

button#copy:focus,
a.button:focus{
  color: var(--accent);
}

a.button {
  padding: 0.5rem 1rem;
  text-decoration: none;
}

img {
  padding: 0;
  margin: 0;
}
